Subject: Re: [EXT] [PATCH] net: ethernet: fec: Replace interrupt driven MDIO with polled IO

From: Andrew Lunn <[email-masked]>
Date: Tue, 14 Apr 2020 14:55:33 +0200

> If we switch to polling mode, it is better to add usleep or cpu relax between IO
> Polling.

Hi Andy

Yes. I can do that. I've been wanting to try iopoll.h. I will see what
the performance impacts are.

> > I also have follow up patches which allows the bus to be run at higher speeds.
> > The Ethernet switch i have on the bus is happy to run a 5MHz rather than the
> > default 2.5MHz. 
> 
> Please compatible with 2.5Hz for your following patches.

Yes. I'm adding device tree properties. If the property is not
present, it will default to 2.5MHz. Same for preamble suppression, if
the boolean DT property is not present, it will not suppress it, so
keeping backwards compatibility.

	Andrew